Need help? Call us on 1300 789 260

How to install multiple PHP versions for Plesk 12

Difficulty: Intermediate


Root or admin access to your Plesk server


This article steps you the process of installing multiple PHP versions for your Plesk 12.5 server.

Instead of having a fixed version of PHP per server, you can now install multiple versions and set the different versions per domain.


  1. Login to your Plesk server as the admin user.
  2. Select Tools and Settings from the left hand menu:
    Plesk 12 - Tools & Settings
  3. Select Updates and Upgrades from the Plesk Section (this will open a new window):
    Plesk 12 - Updates and Upgrades
  4. Click on the Add/Remove Components link:
    Plesk 12 - Add/Remove Components
  5. Under Web Hosting Features, select Different PHP interpreter versions and then select the versions you'd like to install. We recommend selecting PHP 5.6, 5.5 and 5.4:
    Plesk 12 - Select Multiple PHP Versions
  6. Choose Continue and let the installer run. You should see a screen similar to this:
    Plesk 12 - Component Installation
  7. Once the installation is complete, you can now close the window. The multiple PHP versions are now selectable within each domain.
  8. You can now follow the instructions on how to select a different PHP version for your website .
Was this article helpful? Yes No

Having trouble? We’re here to help!

We’ve built our company with a serious focus on quality service. Feel free to give us a call!

1300 789 260